extends RefCounted

class_name Moves

static var all_moves = {
	"tiger" : [#tiger
				Vector2(0, 2), 
				Vector2(0, -1)],
	"dragon" : [#dragon
				Vector2(2, 1),
				Vector2(-2, 1),
				Vector2(1, -1),
				Vector2(-1, -1)
		],
	"frog" : [#frog
				Vector2(2, 0),
				Vector2(1, 1),
				Vector2(-1, -1)
		],
	"rabbit" : [#rabbit
				Vector2(1, -1),
				Vector2(-1, 1),
				Vector2(-2, 0)
		],
	"crab" : [#crab
				Vector2(2, 0),
				Vector2(0, 1),
				Vector2(-2, 0)
		],
	"elephant" : [#elephant
				Vector2(1, 1),
				Vector2(1, 0),
				Vector2(-1, 0),
				Vector2(-1, 1)
		],
	"goose" : [#goose
				Vector2(1, 1),
				Vector2(1, 0),
				Vector2(-1, 0),
				Vector2(-1, -1)
		],
	"rooster" : [#rooster
				Vector2(1, -1),
				Vector2(1, 0),
				Vector2(-1, 0),
				Vector2(-1, 1)
		],
	"monkey" : [#monkey
				Vector2(1, 1),
				Vector2(1, -1),
				Vector2(-1, 1),
				Vector2(-1, -1)
		],
	"mantis" : [#mantis
				Vector2(1, 1),
				Vector2(-1, 1),
				Vector2(0, -1)
		],
	"horse" : [#horse
				Vector2(1, 0),
				Vector2(0, 1),
				Vector2(0, -1)
		],
	"ox" : [#ox
				Vector2(0, 1),
				Vector2(-1, 0),
				Vector2(0, -1)
		],
	"crane" : [#crane
				Vector2(0, 1),
				Vector2(1, -1),
				Vector2(-1, -1)
		],
	"boar" : [#boar
				Vector2(1, 0),
				Vector2(0, 1),
				Vector2(-1, 0)
		],
	"eel" : [#eel
				Vector2(1, 1),
				Vector2(1, -1),
				Vector2(-1, 0)
		],
	"cobra" : [#cobra
				Vector2(1, 0),
				Vector2(-1, 1),
				Vector2(-1, -1)
		]
}

static func get_five_moves() -> Array:
	var move_names = all_moves.keys()
	move_names.shuffle()
	var five_moves = []
	for i in range(5):
		five_moves.append(move_names[i])
	return five_moves

